Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.metrics2.sink.ganglia
Class GangliaSink31

    java.lang.Object
      org.apache.hadoop.metrics2.sink.ganglia.AbstractGangliaSink
          org.apache.hadoop.metrics2.sink.ganglia.GangliaSink30
              org.apache.hadoop.metrics2.sink.ganglia.GangliaSink31

All Implemented Interfaces:
  MetricsPlugin, MetricsSink

    public class GangliaSink31

extends GangliaSink30

This code supports Ganglia 3.1

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.hadoop.metrics2.sink.ganglia.AbstractGangliaSink
`AbstractGangliaSink.GangliaConfType, AbstractGangliaSink.GangliaSlope`

Field Summary
`org.apache.commons.logging.Log` | `LOG`

Fields inherited from class org.apache.hadoop.metrics2.sink.ganglia.GangliaSink30
`metricsCache`

Fields inherited from class org.apache.hadoop.metrics2.sink.ganglia.AbstractGangliaSink
`BUFFER_SIZE, DEFAULT_DMAX, DEFAULT_PORT, DEFAULT_SLOPE, DEFAULT_TMAX, DEFAULT_UNITS, EQUAL, gangliaMetricVisitor, SERVERS_PROPERTY, SUPPORT_SPARSE_METRICS_DEFAULT, SUPPORT_SPARSE_METRICS_PROPERTY`

Constructor Summary
`GangliaSink31()`

Method Summary
`protected void` | `emitMetric(String groupName, String name, String type, String value, org.apache.hadoop.metrics2.sink.ganglia.GangliaConf gConf, AbstractGangliaSink.GangliaSlope gSlope)` The method sends metrics to Ganglia servers.

Methods inherited from class org.apache.hadoop.metrics2.sink.ganglia.GangliaSink30
`putMetrics`

Methods inherited from class org.apache.hadoop.metrics2.sink.ganglia.AbstractGangliaSink
`emitToGangliaHosts, flush, getGangliaConfForMetric, getHostName, init, isSupportSparseMetrics, xdr_int, xdr_string`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### LOG

    public final org.apache.commons.logging.Log LOG

Constructor Detail

### GangliaSink31

    public GangliaSink31()

Method Detail

### emitMetric

    protected void emitMetric(String groupName,
                              String name,
                              String type,
                              String value,
                              org.apache.hadoop.metrics2.sink.ganglia.GangliaConf gConf,
                              AbstractGangliaSink.GangliaSlope gSlope)
                       throws IOException

  The method sends metrics to Ganglia servers. The method has been taken from org.apache.hadoop.metrics.ganglia.GangliaContext31 with minimal changes in order to keep it in sync.

  Overrides:
    `emitMetric` in class `GangliaSink30`
  Parameters:
    `groupName` - The group name of the metric
    `name` - The metric name
    `type` - The type of the metric
    `value` - The value of the metric
    `gConf` - The GangliaConf for this metric
    `gSlope` - The slope for this metric
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation